Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.quant.loader.yahoo
Class YahooDownload

    java.lang.Object
      org.encog.app.quant.loader.yahoo.YahooDownload

All Implemented Interfaces:
  MarketLoader, QuantTask

    public class YahooDownload

extends Object
implements MarketLoader, QuantTask

Download financial data from Yahoo.

Field Summary
`static String` | `INDEX_DJIA` The Dow Jones Industrial Average.
`static String` | `INDEX_NASDAQ` The NASDAQ.
`static String` | `INDEX_SP500` The S&P 500.

Constructor Summary
`YahooDownload()` Construct the object with default precision.

Method Summary
`int` | `getPrecision()`
`void` | `loadAllData(String ticker, File output, CSVFormat outputFormat, Date from, Date to)` Load all data.
`void` | `requestStop()` Request to stop.
`void` | `setPercision(int thePrecision)`
`boolean` | `shouldStop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDEX_DJIA

    public static final String INDEX_DJIA

  The Dow Jones Industrial Average.

  See Also:
    Constant Field Values

### INDEX_SP500

    public static final String INDEX_SP500

  The S&P 500.

  See Also:
    Constant Field Values

### INDEX_NASDAQ

    public static final String INDEX_NASDAQ

  The NASDAQ.

  See Also:
    Constant Field Values

Constructor Detail

### YahooDownload

    public YahooDownload()

  Construct the object with default precision.

Method Detail

### getPrecision

    public final int getPrecision()

  Returns:
    the precision.

### loadAllData

    public final void loadAllData(String ticker,
                                  File output,
                                  CSVFormat outputFormat,
                                  Date from,
                                  Date to)

  Load all data.

  Parameters:
    `ticker` - The ticker.
    `output` - The output file.
    `outputFormat` - The format of the output file.
    `from` - Starting date.
    `to` - Ending date.

### requestStop

    public final void requestStop()

  Request to stop.

  Specified by:
    `requestStop` in interface `QuantTask`

### setPercision

    public final void setPercision(int thePrecision)

  Parameters:
    `thePrecision` - the precision to set

### shouldStop

    public final boolean shouldStop()

  Specified by:
    `shouldStop` in interface `QuantTask`
  Returns:
    True, if we should stop.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.